package com.lightinit.hsdataportal.mapper;

import com.lightinit.hsdataportal.entity.User;
import com.lightinit.hsdataportal.entity.UserExample;
import java.util.List;

import com.lightinit.hsdataportal.model.UserCompanyModel;
import com.lightinit.hsdataportal.model.UserPersonalModel;
import org.apache.ibatis.annotations.Param;

public interface UserMapper {
    long countByExample(UserExample example);

    int deleteByExample(UserExample example);

    int deleteByPrimaryKey(Long id);

    int insert(User record);

    int insertSelective(User record);

    List<User> selectByExample(UserExample example);

    User selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") User record, @Param("example") UserExample example);

    int updateByExample(@Param("record") User record, @Param("example") UserExample example);

    int updateByPrimaryKeySelective(User record);

    int updateByPrimaryKey(User record);

    UserPersonalModel getPersonalDetailByUserId(@Param("id") Long id);

    UserCompanyModel getCompanyDetail(@Param("id")Long id);
}